PAPI_addr_range_option_t(3)

NAME
PAPI_addr_range_option_t - address range specification for range restricted counting if both are zero, range is disabled

SYNOPSIS

#include <papi.h>

  Data Fields

int eventset
vptr_t start
vptr_t end
int start_off
int end_off

Field Documentation

  vptr_t PAPI_addr_range_option_t::end
user requested end address of an address range

  int PAPI_addr_range_option_t::end_off
hardware specified offset from end address

  int PAPI_addr_range_option_t::eventset
eventset to restrict

  vptr_t PAPI_addr_range_option_t::start
user requested start address of an address range

  int PAPI_addr_range_option_t::start_off
hardware specified offset from start address

Author

Generated automatically by Doxygen for PAPI from the source code.